Page MenuHomePhabricator

[Convert2Wiki] PHP Parse error in extensions/Convert2Wiki/src/test/api/APITest.php on line 22
Closed, ResolvedPublic

Description

nemobis@tools-login:/shared/mediawiki$ find extensions/ -type f -name '*php' -exec php -l {} \; | grep -v "No syntax errors detected"
PHP Parse error: syntax error, unexpected T_OBJECT_OPERATOR, expecting ')' in extensions/Convert2Wiki/src/test/api/APITest.php on line 22
Errors parsing extensions/Convert2Wiki/src/test/api/APITest.php


Version: master
Severity: normal

Details

Reference
bz68707
Related Gerrit Patches:
mediawiki/extensions/Convert2Wiki : masterFix Parse error in APITest.php

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:42 AM
bzimport set Reference to bz68707.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 28 2014, 6:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 12:51 AM

Change 263335 had a related patch set uploaded (by PranavK):
Fix Parse error in APITest.php

https://gerrit.wikimedia.org/r/263335

Pranavmk98 added a subscriber: Pranavmk98.

Claimed this task. Strange that PHP doesn't support dynamic instantiation along with a function call...

It does in PHP5.5+ :)

Legoktm closed this task as Resolved.Jan 24 2016, 7:01 AM

Change 263335 merged by jenkins-bot:
Fix Parse error in APITest.php

https://gerrit.wikimedia.org/r/263335